/*
* TODO: Есть мнение, что маленькие кнопки вредны и не вписываются
* в материальный дизайн. Подумать ещё раз!
* https://github.com/Dogfalo/materialize/issues/3106
*/
.btn-small {
    height: 24px;
    line-height: 24px;
    padding: 0 0.5rem;
}

.file-icon {
    width: 32px;
    height: 32px;
    margin-right: 16px;
    float: left;
}

.small-file-icon {
    width: 1em;
    height: 1em;
}

#show-hide {
    cursor: pointer;
    content: "";
    position: fixed;
    right: 0;
    width: 0;
    height: 0;
    margin-right: 16px;
    margin-top: 20px;
    box-sizing: border-box;
    transform-origin: 0 0;
    transform: rotate(-45deg);
    border: 12px solid rgba(0, 0, 0, 0);
    box-shadow: -3px 3px 3px 0 rgba(0, 0, 0, 0.4);
}

#show-hide i {
    transform: rotate(45deg);
    font-size: 30px;
    margin-left: -15px;
    margin-top: -15px;
}

.thick-padding {
    line-height: 14px;
}

#id_connected_content_container, #id_doc_sender_container{
    padding: 10px 0;
}

#head-img {
position: absolute;
left: 0;
right: 0;
max-width: 100%;
height: 102px;
}

/*
* Вполне возможно, что эти два правила могут нарушить
* верстку таблицы materialize.css
 */
div.row {
    margin-bottom: 0px;
    margin-left: -0.75rem;
    margin-right: -0.75rem;
}

div.section {
    padding-top: 0;
    padding-bottom: 0;
}

#id_header_container {
    visibility: hidden;
}

th.content {
    display: table-cell;
    padding-bottom: 15px;
}

/* TODO возможно правил можно удалить input[type]:disabled и объединить со следующим */
textarea.materialize-textarea:disabled, input[type]:disabled {
    color: rgba(34, 34, 34, 0.95);
}

input#id_registration_number, input#id_date_of_registration, input#id_status {
    color: rgba(34, 34, 34, 0.95);
}

div.required > label:before {
    content: "* ";
    font-size: inherit;
}

input.select-dropdown, input#id_sender-input, textarea {
    margin-bottom: 0 !important;
    padding-bottom: 0 !important;
}

span.new.badge.red {
    min-width: 22px !important;
}

.to-hide {
    display: none !important;
}

.layout-row.row {
    position: relative;
}

#id_control_container {
    position: absolute;
    bottom: 5px;
}

input#id_connected_content {
    color: #039be5 !important;
    font-weight: bold;
    cursor: pointer;
}
.ctr.cancelled, .smp.cancelled {
    background-color: #b1b1b1;
}
.ctr.draft, .smp.draft {
    background-color: #ffffcc;
}
.smp.execution {
    background-color: #ccffcc;
}
.ctr.execution, .ctr.executed, .ctr.declined {
    background-color: #ffccff;
}
#assignment_modal {
    margin-top: 25px;
}
.collection-item.child-0 {
    padding-left: 30px;
}
.collection-item.child-1 {
    padding-left: 40px;
}
.collection-item.child-2 {
    padding-left: 50px;
}
.collection-item.child-3 {
    padding-left: 60px;
}
.collection-item.child-4 {
    padding-left: 70px;
}
.collection-item.child-5 {
    padding-left: 80px;
}
.collection-item.child-6 {
    padding-left: 90px;
}
.collection-item.child-7 {
    padding-left: 100px;
}
.collection-item.child-8 {
    padding-left: 110px;
}
.collection-item.child-9 {
    padding-left: 120px;
}
div.sidebar.z-depth-3 {
    position: absolute;
    background-color: transparent;
    z-index: 1;
}
video.logo__icon {
    height: auto;
    width: auto;
    max-height: 100%;
    max-width: 100%;
    object-fit: fill;
}

.unwatched {
    font-weight: bolder;
}

.critical {
    color: #F44336;
}

table#table td {
    padding-top: 5px;
    padding-bottom: 5px;
}

table#table td:not(.break-cell) {
    white-space: nowrap;
}

.break-cell {
    white-space: normal;
}

form#switchuser-form label {
    top: 0;
}

form#switchuser-form div.input-field {
    margin-top: 0;
    padding-top: 8px;
}

form#switchuser-form div.is-delegation {
    background-color: #ffffcc;
}

.side-nav div.userView {
    margin-bottom: 0;
}

.brand-logo > a, .nav-wrapper > a {
    color: white !important;
}
